Data Fields

# _HashmapInfo Struct Reference

## Data Fields
size_t(* | hash )(const void *)
WizardBooleanType(* | compare )(const void *, const void *)
void *(* | relinquish_key )(void *)
void *(*)*(* | relinquish_value )(void *)
size_t | capacity
size_t | entries
size_t | next
WizardBooleanType | head_of_list
LinkedListInfo ** | map
WizardBooleanType | debug
SemaphoreInfo * | semaphore
size_t | signature

## Field Documentation

size_t _HashmapInfo::capacity

Referenced by DestroyHashmap(), GetNextKeyInHashmap(), GetNextValueInHashmap(), GetValueFromHashmap(), IncreaseHashmapCapacity(), NewHashmap(), PutEntryInHashmap(), and RemoveEntryFromHashmap().

WizardBooleanType(* _HashmapInfo::compare)(const void *, const void *)

Referenced by GetValueFromHashmap(), NewHashmap(), PutEntryInHashmap(), and RemoveEntryFromHashmap().

WizardBooleanType _HashmapInfo::debug

Referenced by DestroyHashmap(), GetNextKeyInHashmap(), GetNextValueInHashmap(), GetNumberOfEntriesInHashmap(), GetValueFromHashmap(), IsHashmapEmpty(), NewHashmap(), PutEntryInHashmap(), RemoveEntryFromHashmap(), and ResetHashmapIterator().

size_t _HashmapInfo::entries

Referenced by GetNumberOfEntriesInHashmap(), IsHashmapEmpty(), NewHashmap(), PutEntryInHashmap(), and RemoveEntryFromHashmap().

size_t(* _HashmapInfo::hash)(const void *)

Referenced by GetValueFromHashmap(), NewHashmap(), PutEntryInHashmap(), and RemoveEntryFromHashmap().

WizardBooleanType _HashmapInfo::head_of_list

Referenced by GetNextKeyInHashmap(), GetNextValueInHashmap(), and ResetHashmapIterator().

LinkedListInfo** _HashmapInfo::map

Referenced by DestroyHashmap(), GetNextKeyInHashmap(), GetNextValueInHashmap(), GetValueFromHashmap(), IncreaseHashmapCapacity(), NewHashmap(), PutEntryInHashmap(), and RemoveEntryFromHashmap().

size_t _HashmapInfo::next

Referenced by GetNextKeyInHashmap(), GetNextValueInHashmap(), and ResetHashmapIterator().

void*(* _HashmapInfo::relinquish_key)(void *)

Referenced by DestroyHashmap(), NewHashmap(), PutEntryInHashmap(), and RemoveEntryFromHashmap().

void*(*) *(* _HashmapInfo::relinquish_value)(void *)

Referenced by DestroyHashmap(), NewHashmap(), and PutEntryInHashmap().

SemaphoreInfo* _HashmapInfo::semaphore

Referenced by DestroyHashmap(), GetNextKeyInHashmap(), GetNextValueInHashmap(), GetValueFromHashmap(), NewHashmap(), PutEntryInHashmap(), RemoveEntryFromHashmap(), and ResetHashmapIterator().

size_t _HashmapInfo::signature

Referenced by DestroyHashmap(), GetNextKeyInHashmap(), GetNextValueInHashmap(), GetNumberOfEntriesInHashmap(), GetValueFromHashmap(), IsHashmapEmpty(), NewHashmap(), PutEntryInHashmap(), RemoveEntryFromHashmap(), and ResetHashmapIterator().

The documentation for this struct was generated from the following file:

- hashmap.c